Class = require "Class"

require "Player"
require "Asteroid"

FORCE = 0.2

BACKGROUND = love.graphics.newImage("background.png")
local SCROLL_SPEED = 5
local SCROLL = 1940

function love.load()
  love.window.setTitle("Mid-G")
  love.graphics.setDefaultFilter("nearest", "nearest")
  wWidth = 1280
  wHeight = 720
  love.window.setMode(wWidth, wHeight)
  player = Player(wHeight/2,0.1)
  asteroid1 = Asteroid()
end

function love.update()

  player:update()
  asteroid1:update()

  if Player:collide(asteroid1) then
    love.event.quit()
  end

  asteroid1:reset()
  SCROLL = (SCROLL + SCROLL_SPEED)%640
  if love.keyboard.isDown("escape") then
    love.event.quit()
  end

  if love.keyboard.isDown("space") then
    if player.y >= wHeight/2 + 5 then
      player.dy = player.dy + FORCE
    else
      player.dy = player.dy - FORCE
    end
  else
    if player.y >= wHeight/2 then
      player.dy = player.dy - FORCE
    else
      player.dy = player.dy + FORCE
    end
  end



end

function love.draw()
  love.graphics.draw(BACKGROUND,-SCROLL,0)
  asteroid1:render()
  player:render()
end

function debug(log)
  love.graphics.print(log)
end
